<?include("header.php");

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?php
	exit();
}

$user = text($_SESSION["username"]);
?>
<div class="menucenter">
<div class='navil'>
Здесь вы можете установить рефбек для ваших рефералов. Вы устанавливаете процент от вашей прибыли с реферала, которая будет возвращатся ему назад. Пример: Если рефбек = 0% - вся прибыль будет идти вам, если рефбек = 50% вы будете получать половину с прибыли вашего рефа и половина будет добавлятся самому рефу, если рефбек = 100% вся прибыль с рефа будет зачислятся самому рефу (т.е. вам с рефа идти ничего не будет). Рефбек распространяется только для ваших рефералов 1-ого уровня.
</div>
<center>
<?
$row = mysql_query("SELECT ref_per_all FROM tb_users WHERE referer='$user' LIMIT 1");
$all_percent  = mysql_result($row,0,0);

# Если устанавливается общий рефбек
if(isset($_POST["forall"]))
{
	if (isset($_POST["all_ref"]))
	{
		$percent = intval($_POST["all_ref"]);

		if($percent >= 0 and $percent <= 100)
		{
			$myrow = mysql_query("SELECT id FROM tb_users WHERE referer='$user'");
			$referals  = mysql_num_rows($myrow);

			if ($referals > 0)
			{
				mysql_query("UPDATE tb_users SET ref_per_all='$percent' WHERE referer='$user'");

				echo "<div class=good>Реф процент установлен</div>";
			} else {
				echo "<div class=error>Ошибка! У Вас нет рефералов</div>";
			}
		} else {
			echo "<div class=error>Ошибка! Не верно установлен процент реф отчисления</div>";
		}
	}
} else {
?>
<div class='navil'>
<center>
Общий рефбек для всех рефералов
<form action="" method="post">
<input name="all_ref" type="text" value="<?=$all_percent ?>" size="3" maxlength="3" /> %
<input name="forall" class=ok_wm type="submit" value="Установить" />
</form>
</center>
</div>
<?php
}
?>
</center>
<?php
if(isset($_POST["foronly"]))
{
	if (isset($_POST["only_ref"]))
	{
		$percent = intval($_POST["only_ref"]);

		if($percent >= 0 and $percent <= 100)
		{
			$myrow = mysql_query("SELECT id FROM tb_users WHERE referer='$user'");
			$referals  = mysql_num_rows($myrow);

			if ($referals > 0)
			{
				if (isset($_POST["id"]) && intval($_POST["id"])!="")
				{
					$idr = intval($_POST["id"]);

					$check = mysql_query("SELECT referer FROM tb_users WHERE id='$idr'");
					if ($check && mysql_num_rows($check) > 0)
					{
						$referer = mysql_result($check,0,0);
					} else {
						$referer = "";
					}

					if ($referer == $user)
					{
						mysql_query("UPDATE tb_users SET ref_percent='$percent' WHERE id='$idr'");
						echo "<div class=good>Реф процент установлен</div>";
					} else {
						echo "<div class=error>Ошибка! Это не Ваш реферал</div>";
					}
				} else {
					echo "<div class=error>Ошибка! Не выбран реферал</div>";
				}
			} else {
				echo "<div class=error>Ошибка! У Вас нет рефералов</div>";
			}
		} else {
			echo "<div class=error>Ошибка! Не верно установлен процент реф отчисления</div>";
		}
	}
} else {
$date = date("d.m.Y",time());$date1 = date("d.m.Y",time()-86400);$date2 = date("d.m.Y",time()-2*86400);$date3 = date("d.m.Y",time()-3*86400);$date4 = date("d.m.Y",time()-4*86400);$date5 = date("d.m.Y",time()-5*86400);$date6 = date("d.m.Y",time()-6*86400);

if($_SESSION["d"]!=$_GET["d"] and $_GET["d"]!=""){$_SESSION["d"]=$_GET["d"];}


if($_SESSION["d"]==1){$polpokaz = " and (joindate='".$date."')";
}elseif($_SESSION["d"]==2){$polpokaz = " and (joindate='".$date."' or joindate='".$date1."')";
}elseif($_SESSION["d"]==3){$polpokaz = " and (joindate='".$date."' or joindate='".$date1."' or joindate='".$date2."')";
}elseif($_SESSION["d"]==4){$polpokaz = " and (joindate='".$date."' or joindate='".$date1."' or joindate='".$date2."' or joindate='".$date3."')";
}elseif($_SESSION["d"]==5){$polpokaz = " and (joindate='".$date."' or joindate='".$date1."' or joindate='".$date2."' or joindate='".$date3."' or joindate='".$date4."')";
}elseif($_SESSION["d"]==6){$polpokaz = " and (joindate='".$date."' or joindate='".$date1."' or joindate='".$date2."' or joindate='".$date3."' or joindate='".$date4."' or joindate='".$date5."')";
}elseif($_SESSION["d"]==7){$polpokaz = " and (joindate='".$date."' or joindate='".$date1."' or joindate='".$date2."' or joindate='".$date3."' or joindate='".$date4."' or joindate='".$date5."' or joindate='".$date6."')";
}elseif($_SESSION["d"]==7){$polpokaz = "";}?>
<div class='navil'>
<center>
Установить реф процент отдельно для каждого реферала
<br>
<b>Пользователей за последние:</b>&nbsp;&nbsp;&nbsp;
<a href="?d=1">1 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=2">2 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=3">3 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=4">4 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=5">5 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=6">6 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=7">7 д.</a>&nbsp;&nbsp;&nbsp;
<a href="?d=8">Показать всех</a>
</div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="center" width='25px'></th>
<th align="center"><b>Логин</b></th>
<th align="center"><b>Регистрация</b></th>
<th align="center"><b>Заходил</b></th>
<th align="center"><b>Просмотров</b></th>
<th align="center"><b>Текущий Рефбек</b></th>
</tr></thead>
<?php
$sql = mysql_query("SELECT * FROM tb_users WHERE referer='$user' ".$polpokaz." ORDER BY visits DESC");
if ($sql && mysql_num_rows($sql) > 0)
{
	while ($ref = mysql_fetch_assoc($sql))
	{
		?>
        <tbody><tr>
        <td class='value' align='center' ><img src='images/user_ref.png' align='absmiddle'></td>
        <td class='value' align='center' ><?=$ref["username"] ?></td>
        <td class='value' align='center' ><?=$ref["joindate"] ?></td>
        <td class='value' align='center' ><?=$ref["lastlogdate"] ?></td>
        <td class='value' align='center' ><?=$ref["visits"] ?></td>
        <td class='value' align='center' >
        <?php
		if($ref["ref_percent"] == "0")
		{
			$perc = $ref["ref_per_all"];
		} else {
			$perc = $ref["ref_percent"];
		}
		?>
        <form action="" method=post>
		<input type="hidden" value="<?=$ref["id"] ?>" name="id">
		<input type="text" value="<?=$perc ?>" name="only_ref" size="3" maxlength="3"> %
	        		<input type="submit" value="Изменить" name="foronly">
		</form>
        </td>
        </tr>
        <?php
	}
}
?>
</tbody></table>
<?php
}
?>
</center>
<? require "footer.php"; ?>